name: linux

on:
  push:
    branches:
      - '*'
  pull_request:
    branches:
      - '*'

jobs:
  c:

    runs-on: ubuntu-latest

    strategy:
      matrix:
        curl: [0, 1]
        exif: [0, 1]
        xinerama: [0, 1]

    steps:
      - uses: actions/checkout@v2
      - name: APT
        run: sudo apt-get -y update
      - name: Install Dependencies
        run: sudo apt-get -y install build-essential libx11-dev libxt-dev libimlib2-dev libtest-command-perl libtest-simple-perl
      - name: Install libcurl
        if: matrix.curl
        run: sudo apt-get -y  install libcurl4-openssl-dev
      - name: Install libexif
        if: matrix.exif
        run: sudo apt-get -y  install libexif-dev
      - name: Install Xinerama
        if: matrix.xinerama
        run: sudo apt-get -y  install libxinerama-dev
      - name: Build and Test
        run: for inotify in 0 1; do for verscmp in 0 1; do make curl=${{ matrix.curl }} exif=${{ matrix.exif }} inotify=$inotify verscmp=$verscmp xinerama=${{ matrix.xinerama }} && make test && make clean; done; done
